/* This file is automatically generated from cssproperties.in by makeprop, do not edit */
/* Copyright 1998 W. Bastian */

#ifndef CSSPROPERTIES_H
#define CSSPROPERTIES_H

DOM::DOMString getPropertyName(unsigned short id) KDE_NO_EXPORT;

#define CSS_PROP_INVALID 0
#define CSS_PROP_MIN 1
#define CSS_PROP_BACKGROUND_COLOR 1
#define CSS_PROP_BACKGROUND_IMAGE 2
#define CSS_PROP_BACKGROUND_REPEAT 3
#define CSS_PROP_BACKGROUND_ATTACHMENT 4
#define CSS_PROP_BACKGROUND_POSITION 5
#define CSS_PROP_BACKGROUND_POSITION_X 6
#define CSS_PROP_BACKGROUND_POSITION_Y 7
#define CSS_PROP__KHTML_BACKGROUND_CLIP 8
#define CSS_PROP__KHTML_BACKGROUND_ORIGIN 9
#define CSS_PROP__KHTML_BACKGROUND_SIZE 10
#define CSS_PROP__KHTML_BORDER_TOP_RIGHT_RADIUS 11
#define CSS_PROP__KHTML_BORDER_BOTTOM_RIGHT_RADIUS 12
#define CSS_PROP__KHTML_BORDER_BOTTOM_LEFT_RADIUS 13
#define CSS_PROP__KHTML_BORDER_TOP_LEFT_RADIUS 14
#define CSS_PROP__KHTML_BORDER_RADIUS 15
#define CSS_PROP_BORDER_COLLAPSE 16
#define CSS_PROP_BORDER_SPACING 17
#define CSS_PROP__KHTML_BORDER_HORIZONTAL_SPACING 18
#define CSS_PROP__KHTML_BORDER_VERTICAL_SPACING 19
#define CSS_PROP_BORDER_TOP_COLOR 20
#define CSS_PROP_BORDER_RIGHT_COLOR 21
#define CSS_PROP_BORDER_BOTTOM_COLOR 22
#define CSS_PROP_BORDER_LEFT_COLOR 23
#define CSS_PROP_BORDER_TOP_STYLE 24
#define CSS_PROP_BORDER_RIGHT_STYLE 25
#define CSS_PROP_BORDER_BOTTOM_STYLE 26
#define CSS_PROP_BORDER_LEFT_STYLE 27
#define CSS_PROP_BORDER_TOP_WIDTH 28
#define CSS_PROP_BORDER_RIGHT_WIDTH 29
#define CSS_PROP_BORDER_BOTTOM_WIDTH 30
#define CSS_PROP_BORDER_LEFT_WIDTH 31
#define CSS_PROP_BOTTOM 32
#define CSS_PROP_CAPTION_SIDE 33
#define CSS_PROP_CLEAR 34
#define CSS_PROP_CLIP 35
#define CSS_PROP_COLOR 36
#define CSS_PROP_CONTENT 37
#define CSS_PROP_COUNTER_INCREMENT 38
#define CSS_PROP_COUNTER_RESET 39
#define CSS_PROP_CURSOR 40
#define CSS_PROP_DIRECTION 41
#define CSS_PROP_DISPLAY 42
#define CSS_PROP_EMPTY_CELLS 43
#define CSS_PROP_FLOAT 44
#define CSS_PROP_FONT_FAMILY 45
#define CSS_PROP_FONT_SIZE 46
#define CSS_PROP_FONT_STYLE 47
#define CSS_PROP_FONT_VARIANT 48
#define CSS_PROP_FONT_WEIGHT 49
#define CSS_PROP_HEIGHT 50
#define CSS_PROP_LEFT 51
#define CSS_PROP_LETTER_SPACING 52
#define CSS_PROP_LINE_HEIGHT 53
#define CSS_PROP_LIST_STYLE_IMAGE 54
#define CSS_PROP_LIST_STYLE_POSITION 55
#define CSS_PROP_LIST_STYLE_TYPE 56
#define CSS_PROP_MARGIN_TOP 57
#define CSS_PROP_MARGIN_RIGHT 58
#define CSS_PROP_MARGIN_BOTTOM 59
#define CSS_PROP_MARGIN_LEFT 60
#define CSS_PROP__KHTML_MARGIN_START 61
#define CSS_PROP__KHTML_MARQUEE 62
#define CSS_PROP__KHTML_MARQUEE_DIRECTION 63
#define CSS_PROP__KHTML_MARQUEE_INCREMENT 64
#define CSS_PROP__KHTML_MARQUEE_REPETITION 65
#define CSS_PROP__KHTML_MARQUEE_SPEED 66
#define CSS_PROP__KHTML_MARQUEE_STYLE 67
#define CSS_PROP_MAX_HEIGHT 68
#define CSS_PROP_MAX_WIDTH 69
#define CSS_PROP_MIN_HEIGHT 70
#define CSS_PROP_MIN_WIDTH 71
#define CSS_PROP_ORPHANS 72
#define CSS_PROP_OPACITY 73
#define CSS_PROP_OUTLINE_COLOR 74
#define CSS_PROP_OUTLINE_OFFSET 75
#define CSS_PROP_OUTLINE_STYLE 76
#define CSS_PROP_OUTLINE_WIDTH 77
#define CSS_PROP_OVERFLOW 78
#define CSS_PROP_OVERFLOW_X 79
#define CSS_PROP_OVERFLOW_Y 80
#define CSS_PROP_PADDING_TOP 81
#define CSS_PROP_PADDING_RIGHT 82
#define CSS_PROP_PADDING_BOTTOM 83
#define CSS_PROP_PADDING_LEFT 84
#define CSS_PROP__KHTML_PADDING_START 85
#define CSS_PROP_PAGE_BREAK_AFTER 86
#define CSS_PROP_PAGE_BREAK_BEFORE 87
#define CSS_PROP_PAGE_BREAK_INSIDE 88
#define CSS_PROP_POSITION 89
#define CSS_PROP_QUOTES 90
#define CSS_PROP_RIGHT 91
#define CSS_PROP_SIZE 92
#define CSS_PROP_TABLE_LAYOUT 93
#define CSS_PROP_TEXT_ALIGN 94
#define CSS_PROP_TEXT_DECORATION 95
#define CSS_PROP_TEXT_INDENT 96
#define CSS_PROP_TEXT_OVERFLOW 97
#define CSS_PROP_TEXT_SHADOW 98
#define CSS_PROP_TEXT_TRANSFORM 99
#define CSS_PROP_TOP 100
#define CSS_PROP_UNICODE_BIDI 101
#define CSS_PROP_VERTICAL_ALIGN 102
#define CSS_PROP_VISIBILITY 103
#define CSS_PROP_WHITE_SPACE 104
#define CSS_PROP_WIDOWS 105
#define CSS_PROP_WIDTH 106
#define CSS_PROP_WORD_SPACING 107
#define CSS_PROP_Z_INDEX 108
#define CSS_PROP_BACKGROUND 109
#define CSS_PROP_BORDER 110
#define CSS_PROP_BORDER_COLOR 111
#define CSS_PROP_BORDER_STYLE 112
#define CSS_PROP_BORDER_TOP 113
#define CSS_PROP_BORDER_RIGHT 114
#define CSS_PROP_BORDER_BOTTOM 115
#define CSS_PROP_BORDER_LEFT 116
#define CSS_PROP_BORDER_WIDTH 117
#define CSS_PROP_BOX_SIZING 118
#define CSS_PROP_FONT 119
#define CSS_PROP_LIST_STYLE 120
#define CSS_PROP_MARGIN 121
#define CSS_PROP_OUTLINE 122
#define CSS_PROP_PADDING 123
#define CSS_PROP_SCROLLBAR_BASE_COLOR 124
#define CSS_PROP_SCROLLBAR_FACE_COLOR 125
#define CSS_PROP_SCROLLBAR_SHADOW_COLOR 126
#define CSS_PROP_SCROLLBAR_HIGHLIGHT_COLOR 127
#define CSS_PROP_SCROLLBAR_3DLIGHT_COLOR 128
#define CSS_PROP_SCROLLBAR_DARKSHADOW_COLOR 129
#define CSS_PROP_SCROLLBAR_TRACK_COLOR 130
#define CSS_PROP_SCROLLBAR_ARROW_COLOR 131
#define CSS_PROP__KHTML_FLOW_MODE 132
#define CSS_PROP__KHTML_USER_INPUT 133
#define CSS_PROP_FILL 134
#define CSS_PROP_STROKE 135
#define CSS_PROP_STROKE_WIDTH 136
#define CSS_PROP_FILL_OPACITY 137
#define CSS_PROP_STROKE_OPACITY 138
#define CSS_PROP_STOP_COLOR 139
#define CSS_PROP_STOP_OPACITY 140
#define CSS_PROP_CLIP_PATH 141
#define CSS_PROP_CLIP_RULE 142
#define CSS_PROP_FILL_RULE 143

#define CSS_PROP_TOTAL 144
const size_t maxCSSPropertyNameLength = 33;
#endif

